/* clib/akcc_gen0_protos.h	    */
/* Version    : 37.3 		    */
/* Date       : 25.07.1994	    */
/* Written by : Andreas R. Kleinert */

#ifndef CLIB_AKCC_GEN0_PROTOS_H
#define CLIB_AKCC_GEN0_PROTOS_H

#ifndef AKCC_GEN0_AKCC_GEN0_H
#include <akcc_gen0/akcc_gen0.h>
#endif /* AKCC_GEN0_AKCC_GEN0_H */

/* V35 : first advanced version */
BYTE *AKCC_StoreFile(            UBYTE *name,
                                 ULONG *bytes);
struct DateStruct *AKCC_GetDate( struct DateStamp *dos_rawdate);
long AKCC_WildCmp(               UBYTE *orig,
	  		         UBYTE *wild);
long AKCC_Paths(                 UBYTE *name,
				 UBYTE *rootdir,
				 UBYTE *dir,
				 UBYTE *comparename);
long AKCC_CopyFile(              UBYTE *sourcename,
				 UBYTE *destname);
long AKCC_TestEntry(             UBYTE *entryname);
void AKCC_BStrCpy(               UBYTE *dest,
				 BSTR bstr,
			         UBYTE *hangon);
void AKCC_GetName(               BPTR dest,
			         BPTR fl,
				 UBYTE *name);
void AKCC_FPrintf(               BPTR outhandle,
				 UBYTE *text,
				 APTR pararr);
long AKCC_DelEnv(                UBYTE *var);
long AKCC_ReadEnv(               UBYTE *var,
				 UBYTE *content);
long AKCC_WriteEnv(              UBYTE *var,
				 UBYTE *content);
long AKCC_Assign(                UBYTE *ass_name,
				 UBYTE *ass_path);
/* NEW in V36 */
void AKCC_UnLineStr(             UBYTE *dest,
				 UBYTE *source);
long AKCC_AddPathLock(           BPTR lock);
long AKCC_AddPathName(           UBYTE *name);
void AKCC_RemPathName(           UBYTE *name);
void AKCC_ParseText(             UBYTE *orig,
				 UBYTE *new);
/* NEW in V37 */
long AKCC_CheckAvailDevice(      UBYTE *dev_name);
long AKCC_SetDate(               struct DateStruct *gd_date);

#endif /* CLIB_AKCC_GEN0_PROTOS_H */
